I can't download the Loupedeck plugin on my M1 devices from Adobe Creative Cloud

Problem

If you can’t download the Loupedeck plugin on your M1 devices from Adobe Creative Cloud, this is because Adobe hasn't made Marketplace available yet for M1 devices. Learn how to download the Loupedeck plugin for your M1 devices, using the following steps.

Solution

  1. Download Loupedeck software version 4.0.1 – LINK
  2. Reboot your Mac once the software installation is completed. Loupedeck 4.0.1 software version is compatible with Photoshop 2021 and does not require the Loupedeck plugin to be connected.